test.01 by jonbailey
March.31.2009, 8:29 pm
Filed under: architecture, Studio Talk

section_proto_03



notes by jonbailey
March.31.2009, 1:53 pm
Filed under: Studio Talk

sketch_section_01
notes_03_31



code by jonbailey
March.30.2009, 11:24 pm
Filed under: Code, Studio Talk

section002



program + f l o w by jonbailey
March.29.2009, 2:56 pm
Filed under: Urban Planning

program-flow_xx

a little bit more complete programmatic plan mixed with the site.-Jon



flow + program by jonbailey
March.29.2009, 2:24 am
Filed under: Studio Talk

program_3_28_xx1

This is still in progress, but this diagram starts to show pods organizing around major nodes, which are the light shafts. Each of the spaces will be acting as an attractor deforming the point cloud. The floor plans here only show the level below grade(-20′-0″) and the level on grade (0′-0″). The branching network will continue upward as new connections are made to pods above. Further deforming the vertical shafts will be the ‘light’ attractors coming from the east facade, which will cause the shafts to branch outward and pull towards the southeast.



Psuedo Code 1.0 by jonbailey
March.28.2009, 11:31 pm
Filed under: Script, Studio Talk

After talking tonight we seem to be headed towards writing a script where a surface is generated from a three-dimensional attractor point cloud, where the cloud is formed based on proximities to the attractor points. the resulting cloud leaves behind vector geometry that is then swept with a curve and lofted. the resulting surface is then woven by the midaregami + knotting technique. the sketches show how the structure might fit around a surface formed from the point cloud, and the functions behind the stress/strain loading on the structure, where denser weaving will happen at areas seeing more stress. below is a psuedo code for the script we are working on:

””PSUEDO””

‘—–ATTRACTOR
‘ declarevariables
”’ Dim
‘ select vector field boundaries
”’ Rhino.GetObject
‘ select point attractors
‘ enter distance threshold
‘ enter scale factor
‘ loop through objects to get closest attractor
‘ get object bounding box centerpoint
‘ loop through attractors to find the distance to the closest
‘ get closest point – use for curves rather than points
‘ check distance
‘ if/then distance test
‘ if the object is within the threshold then operate on it
‘ get vector to attractor
‘ get cross product
‘ get angle between vectors
‘ adjust angle based on adj amount
‘ rotate object using cross prod as axis
‘ get vector points.
‘ draw curve from points perpendicular with vector as centerpoint
‘ loft surface

‘—–MIDAREGAMI +KNOT WEAVE
‘++++SCRIPT PICKS THE ATTRACTOR SURFACE
‘ select a surface
”’ strsurface = Rhino.GetObject(“select a surface”)
‘ directional input
”’ ptBase = Rhino.GetPoint(” select the base point “)
‘ enter radius of pipes
”’ radius = Rhino.GetReal(“enter radius”); Rhino.AddCircle (arrPlane, dblRadius)
‘ declare primary variables
”’ dim
‘ # of divisions along a surface
”’ Dim udiv, vdiv udiv=x, vdiv=x
‘ declare secondary variables
”’ dim
‘ capture the domain of the surface
”’ Rhino.SurfaceDomain (strObject, intDirection)
‘ nested loop
”’ ((i,j))
‘ evaluate surface
”’ Rhino.EvaluateSurface (strObject, arrParameter)
‘ store array
”’ arrpts((i,j))
‘ collection of two points
‘ create curve along the surface R
”’ Rhino.AddInterpCrvOnSrfUV (strObject, arrPoints)
‘ create circles perpendicular to surface
”’ Rhino.CurvePerpFrame (strObject, dblParameter)
‘ loft circles or sweept curve along surface
”’ Rhino.AddLoftSrf (arrObjects [, arrStartPt [, arrEndPt [, intType [, intStyle [, nValue [, blnClosed]]]]]])
‘ weave curves, 0,1,0,1,0,1…
‘ find points of intersection at curves
”’ Rhino.CurveCurveIntersection (strObject1 [, strObject2 [, dblTolerance]])
‘ add torus at intersection
”’ Rhino.AddTorus (arrBase, dblMajorRadius, dblMinorRadius [, arrDirection])



midaregami + knot by jonbailey
March.26.2009, 7:58 pm
Filed under: Research

midaregamiknot

weaving_01

Based off of the midaregami + knotting technique of weaving, we are currently developing a rhino vb script that implements this strategy for our stuctural steel exoskeleton.